View Issue Details

IDProjectCategoryView StatusLast Update
0002965Far ManagerEditorpublic2015-03-10 15:15
ReportershmuelAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002965: При вставке вертикального блока усекаются последние символы в каждой строке
DescriptionДля воспроизведения данного эффекта нужно программно поместить в буфер обмена вертикальный блок с переводами строки "\n" или "\r" (если переводы строки "\r\n", то работает нормально).
Steps To Reproduce1. Выполним следующий скрипт.
  local s = "12\n123\n1234\n"
  far.CopyToClipboard(s,"FCT_COLUMN")
  local s2 = far.PasteFromClipboard("FCT_COLUMN")
  assert(s2==s)
  far.Message"OK"

2. В редакторе сделаем вставку (нажмём CtrlV).

3. Наблюдаем, что вставились строки с удалёнными последними символами, то-есть:
  1
  12
  123
Additional InformationПри использовании флага "FCT_STREAM" вставка происходит правильно, независимо от типа перевода строки.
TagsNo tags attached.
Build4295

Activities

shmuel

2015-03-09 01:18

developer   bugnote:0013572

4295.

Issue History

Date Modified Username Field Change
2015-03-08 18:34 shmuel New Issue
2015-03-09 01:18 shmuel Note Added: 0013572
2015-03-09 01:18 shmuel Assigned To => shmuel
2015-03-09 01:18 shmuel Status new => feedback
2015-03-10 15:15 shmuel Build => 4295
2015-03-10 15:15 shmuel Status feedback => closed
2015-03-10 15:15 shmuel Resolution open => fixed
2015-03-10 15:15 shmuel Fixed in Version => 3.0